Subject: Re: [CCAMP] Comments on draft-ietf-ccamp-wson-signaling-05

From: "Margaria, Cyril (Coriant - DE/Munich)" <[email-masked]>
Date: Fri, 19 Jul 2013 08:08:53 +0000

Dear Authors, 

I checked the revision -06 for the updates, I think you forgot one, and I have minors comments

> > I have the following comments on draft-ietf-ccamp-wson-signaling-05:
> >
> > Comment 1:
> > The document considers bidirection RB set and limit 2 RBInformation
> per hop.  However per RFC3473 section 8.1.1 and RFC3471, using
> different interface id for the upstream and downstream direction. The
> current definition does not support that.
> > The following change would allow it.
> > Section 4.2
> >
> > OLD:
> > "If more than two objects are encountered, two
> >   MUST be processed and the rest SHOULD be ignored."
> >
> > NEW:
> > "If more than two objects per direction are encountered, two
> >   MUST be processed and the rest SHOULD be ignored."
> >
> 
> GM> ok
> 
[[Margaria.C]] 
This was partially updated it seems:
Section 4.3
   "If more than two objects are encountered,
   two MUST be processed and the rest SHOULD be ignored."
--> this is in the section of the RB information sub tlv, does this refers to the WSON_signaling object or RBInformation?
--> from the text below and to address my comment, I would say 
--> WSON_signaling, it would be more clear to state it explicitly

> > Section 4
> >
> > OLD:
> > "The usage of <WSON Processing> object for the bidirectional case is
> >   the same as per unidirectional. When an intermediate node uses
> >   information from this object to instruct a node about wavelength
> >   regeneration, the same information applies to both downstream and
> >   upstream directions."
> >
> > NEW:
> > "The usage of <WSON Processing> object for the bidirectional case is
> >   the same as per unidirectional. When an intermediate node uses
> >   information from this object to instruct a node about wavelength
> >   regeneration, the same regeneration information should applies to
> both downstream and
> >   upstream directions."
> 
> GM> I assume you meant section 5. Ok. Just wondering if worth spending
> GM> some words on usage of I|E flags vs directions
> 
> YOUNG>> Simple grammar check with your suggested text:
> 
> OLD: "...should applies to both downstream and upstream directions."
> NEW: "...should apply to both downstream and upstream directions."
> 
[[Margaria.C]] OK
> >
> > Comment-2: Section 4.2 :
> > I think the restriction on the RB Set identifier processing is maybe
> too strong.
> > I would like to suggest the following modification:
> >
> > remove
> > "RB Set Field MAY contain more than one RB Indetifier. Only the first
> >   one MUST be processed, the others SHOULD be ignored.
> > "
> > In all case, consider the Typo
> 
> GM> fine with me no problem in relaxing constrain (btw thx for catching
> GM> the typo)
> 
[[Margaria.C]] the typo (and restriction) are still present 

> > Comment-3 :
> > The restriction on the OIC and other parameters are also too strong,
> only considering one does not allows signaling to pick the one RB among
> several.
> > Please consider the following change
> > Remove
> > " The Optical Interface Class List, Input Bit Range List and
> >   Processing Capability List MAY contain more than one element. Only
> >   the first MUST be processed, the others SHOULD be ignored.
> > "
> >
> 
> GM> same as comment above

[[Margaria.C]] OK

Mit freundlichen Grüßen / Best Regards
Cyril Margaria